/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2022  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////

#ifndef BUTTONHEADERFILE
#define BUTTONHEADERFILE

#include <QToolButton>

class QPaintEvent;

class TButton : public QToolButton
{
Q_OBJECT
public:
// CREATORS
	TButton(const QWidget *parent = 0);
	virtual ~TButton(void);
	
// ACCESSORS
	
// MANIPULATORS
	
protected:
	virtual void paintEvent(QPaintEvent *event);
	
private:
	
// NOT IMPLEMENTED
	TButton(const TButton&);
	TButton& operator=(const TButton&);
};

#endif